Bug 844192 - (gksu-polkit) Review Request: gksu-polkit - Command line utility to run programs as root
Review Request: gksu-polkit - Command line utility to run programs as root
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: libgksu
  Show dependency treegraph
 
Reported: 2012-07-29 16:22 EDT by Mario Blättermann
Modified: 2014-06-11 06:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-28 13:14:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2012-07-29 16:22:03 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/gksu-polkit.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/gksu-polkit-0.0.3-1.fc17.src.rpm
Description:
This is a library and application used to ask the user for passwords
to run programs as root.

Fedora Account System Username: mariobl

Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4340502
Comment 1 Jeremy Newton 2012-08-07 13:53:12 EDT
Later this week, if I have time I can give this a review if you would like, but here's some misc comments:

- You've mixed lines and spaces, which it produces a mixed-use-of-spaces-and-tabs rpmlint error. You should be consistent and only use spaces or tabs for white space separation (you use spaces everywhere except 3 or 4 lines have tabs)

- The require on the main package for the libs sub package should be the same as the require on the devel package: "%{name}-libs%{?_isa} = %{version}-%{release}"

- The %post %postun macros are not necessary for the main package but rather necessary for the libs package. This should be fixed by changing the lines to:
%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

- RPMLint gives a binary-or-shlib-defines-rpath error, so I would look into disabling rpath via %configure or using chrpath to fix this.

- There seems to be numerous incorrect-fsf-address errors. I would suggest contacting upstream to let them know about this so they can fix it.

A tip would be to make more use of RPMLint (source and binary RPMS) before posting a spec ;)
Comment 2 Mario Blättermann 2012-08-09 06:25:14 EDT
Many thanks for your hints. New files:

Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/gksu-polkit.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/gksu-polkit-0.0.3-2.fc17.src.rpm


(In reply to comment #1)
> - The %post %postun macros are not necessary for the main package but rather
> necessary for the libs package. This should be fixed by changing the lines
> to:
> %post libs -p /sbin/ldconfig
> %postun libs -p /sbin/ldconfig
> 
> - RPMLint gives a binary-or-shlib-defines-rpath error, so I would look into
> disabling rpath via %configure or using chrpath to fix this.

Doing so gives me the following errors:

gksu-polkit-libs.x86_64: E: postun-without-ldconfig /usr/lib64/libgksu-polkit.so.0.0.1
This package contains a library and its %postun doesn't call ldconfig.

gksu-polkit-libs.x86_64: E: non-empty-%postun /sbin/ldconfig
Scriptlets for the interpreter mentioned in the message should be empty. One
common case where they are unintentionally not is when the specfile contains
comments after the scriptlet and before the next section. Review and clean up
the scriptlet contents if appropriate.


Regarding the FSF address I've informed the upstream developer, CC'ed to you.


Additionally, I've added gtk-doc as a install requirement to the -devel package. It adds some files to %{_datadir}/gtk-doc/html/ but this folder is owned by gtk-doc. BTW, there are some more packages on my system which own this folder:

p11-kit-devel-0.12-1.fc17.x86_64
unique-devel-1.1.6-7.fc17.x86_64
libcanberra-devel-0.28-6.fc17.x86_64
ORBit2-devel-2.14.19-3.fc17.x86_64
libgnome-devel-2.32.1-3.fc17.x86_64
thunarx-python-0.2.3-5.fc17.x86_64
gtk-doc-1.18-2.fc17.noarch
polkit-docs-0.104-6.fc17.noarch
mate-corba-devel-1.4.0-9.fc17.x86_64

I will file some bug reports for them.
Comment 3 Mario Blättermann 2012-08-09 08:38:18 EDT
Regarding the folder ownership for the gtk-doc stuff, just found the appropriate paragraph in the guidelines:
http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

I've reverted the changes again. Files are downloadable from the same locations.
Comment 4 Jeremy Newton 2012-08-10 01:36:29 EDT
(In reply to comment #2)
> Many thanks for your hints. New files:
> 
> Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/gksu-polkit.spec
> SRPM URL:
> http://mariobl.fedorapeople.org/Review/SRPMS/gksu-polkit-0.0.3-2.fc17.src.rpm
> 
> 
> (In reply to comment #1)
> > - The %post %postun macros are not necessary for the main package but rather
> > necessary for the libs package. This should be fixed by changing the lines
> > to:
> > %post libs -p /sbin/ldconfig
> > %postun libs -p /sbin/ldconfig
> > 
> > - RPMLint gives a binary-or-shlib-defines-rpath error, so I would look into
> > disabling rpath via %configure or using chrpath to fix this.
> 
> Doing so gives me the following errors:
> 
> gksu-polkit-libs.x86_64: E: postun-without-ldconfig
> /usr/lib64/libgksu-polkit.so.0.0.1
> This package contains a library and its %postun doesn't call ldconfig.
> 
> gksu-polkit-libs.x86_64: E: non-empty-%postun /sbin/ldconfig
> Scriptlets for the interpreter mentioned in the message should be empty. One
> common case where they are unintentionally not is when the specfile contains
> comments after the scriptlet and before the next section. Review and clean up
> the scriptlet contents if appropriate.

As the error message states, the later error is caused by the comment that is after the %postun scriptlet but before the next section, or more specifically this line:
>>>%files -f %{name}.lang

The former error seems to be caused by the latter error, as removing the comment fixes both errors. It would be advisable to also remove any other comments that cause rpmlint output, such as the macro-in-comment warnings from the %find_lang line, as this can cause false positive or unintentional errors (or even confusion) later on. It's also known to be "bad etiquette", though I find that a tad pedantic.

> 
> 
> Regarding the FSF address I've informed the upstream developer, CC'ed to you.


Got it, thanks; it will be fixed when upstream decides to do so.



Looks Good though! Either tomorrow or the day after I'll attempt to give you a review.
Comment 5 Dan Mashal 2012-08-10 02:27:44 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "LGPL (v3 or later) (with incorrect FSF
     address)", "GPL (v3 or later) (with incorrect FSF address)", "GPL (v2 or
     later)", "GPL (v2 or later) (with incorrect FSF address)", "GPL (v3 or
     later) (with incorrect FSF address) GENERATED FILE", "*No copyright*
     GENERATED FILE", "LGPL (v3 or later) (with incorrect FSF address)
     GENERATED FILE" For detailed output of licensecheck see file:
     /home/dan/844192-gksu-polkit/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: gksu-polkit-0.0.3-2.fc17.src.rpm
          gksu-polkit-libs-0.0.3-2.fc17.x86_64.rpm
          gksu-polkit-libs-devel-0.0.3-2.fc17.x86_64.rpm
          gksu-polkit-0.0.3-2.fc17.x86_64.rpm
          gksu-polkit-debuginfo-0.0.3-2.fc17.x86_64.rpm
gksu-polkit.src:54: W: macro-in-comment %find_lang
gksu-polkit.src:54: W: macro-in-comment %{name}
gksu-polkit.src:59: W: macro-in-comment %files
gksu-polkit.src:59: W: macro-in-comment %{name}
gksu-polkit-libs.x86_64: E: postun-without-ldconfig /usr/lib64/libgksu-polkit.so.0.0.1
gksu-polkit-libs.x86_64: E: non-empty-%postun /sbin/ldconfig
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-process.h
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-polkit.h
gksu-polkit.x86_64: W: no-documentation
gksu-polkit.x86_64: W: no-manual-page-for-binary gksu-polkit
gksu-polkit.x86_64: W: no-manual-page-for-binary gksu-server
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process-error.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-environment.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/gksu/gksu-polkit.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-write-queue.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/main.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-write-queue.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-server.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-server.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-error.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-controller.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-controller.h
5 packages and 0 specfiles checked; 17 errors, 7 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gksu-polkit-libs-devel gksu-polkit-debuginfo
gksu-polkit-libs-devel.x86_64: I: enchant-dictionary-not-found en_US
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-process.h
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-polkit.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process-error.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-environment.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/gksu/gksu-polkit.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-write-queue.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/main.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-write-queue.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-server.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-server.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-error.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-controller.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-controller.h
2 packages and 0 specfiles checked; 15 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
gksu-polkit-libs-0.0.3-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    config(gksu-polkit-libs) = 0.0.3-2.fc17
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgee.so.2()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libstartup-notification-1.so.0()(64bit)  
    rtld(GNU_HASH)  

gksu-polkit-libs-devel-0.0.3-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    gksu-polkit-libs(x86-64) = 0.0.3-2.fc17
    libgksu-polkit.so.0()(64bit)  
    pkgconfig(glib-2.0)  
    pkgconfig(gobject-2.0)  

gksu-polkit-0.0.3-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gksu-polkit-libs(x86-64) = 0.0.3-2.fc17
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgee.so.2()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libgksu-polkit.so.0()(64bit)  
    libgksu-polkit.so.0(LIBGKSU_POLKIT)(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpolkit-gobject-1.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    rtld(GNU_HASH)  

gksu-polkit-debuginfo-0.0.3-2.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
gksu-polkit-libs-0.0.3-2.fc17.x86_64.rpm:
    
    config(gksu-polkit-libs) = 0.0.3-2.fc17
    gksu-polkit-libs = 0.0.3-2.fc17
    gksu-polkit-libs(x86-64) = 0.0.3-2.fc17
    libgksu-polkit.so.0()(64bit)  
    libgksu-polkit.so.0(HIDDEN)(64bit)  
    libgksu-polkit.so.0(LIBGKSU_POLKIT)(64bit)  

gksu-polkit-libs-devel-0.0.3-2.fc17.x86_64.rpm:
    
    gksu-polkit-libs-devel = 0.0.3-2.fc17
    gksu-polkit-libs-devel(x86-64) = 0.0.3-2.fc17
    pkgconfig(libgksu-polkit-1) = 0.0.3

gksu-polkit-0.0.3-2.fc17.x86_64.rpm:
    
    gksu-polkit = 0.0.3-2.fc17
    gksu-polkit(x86-64) = 0.0.3-2.fc17

gksu-polkit-debuginfo-0.0.3-2.fc17.x86_64.rpm:
    
    gksu-polkit-debuginfo = 0.0.3-2.fc17
    gksu-polkit-debuginfo(x86-64) = 0.0.3-2.fc17

MD5-sum check
-------------
http://ftp.de.debian.org/debian/pool/main/g/gksu-polkit/gksu-polkit_0.0.3.orig.tar.gz :
  MD5SUM this package     : eeffaa13194cf76a63c52ed3f58d5a7d
  MD5SUM upstream package : eeffaa13194cf76a63c52ed3f58d5a7d


=========================================================================

This looks pretty good for approval however please correct the following:


$ rpmlint gksu-polkit-libs-0.0.3-2.fc17.x86_64.rpm 
gksu-polkit-libs.x86_64: E: postun-without-ldconfig /usr/lib64/libgksu-polkit.so.0.0.1
gksu-polkit-libs.x86_64: E: non-empty-%postun /sbin/ldconfig
1 packages and 0 specfiles checked; 2 errors, 0 warnings.


$ rpmlint gksu-polkit-libs-devel-0.0.3-2.fc17.x86_64.rpm 
gksu-polkit-libs-devel.x86_64: W: invalid-url URL: http://live.gnome.org/gksu <urlopen error [Errno -2] Name or service not known>

Please open or reference a bug addressing the following:


gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-process.h
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-polkit.h
Comment 6 Jeremy Newton 2012-08-10 11:40:00 EDT
Oh, looks like you beat me to it, but I would like to point out that the invalid-url warning you got is an issue on your side, not an issue with the spec.
Comment 7 Mario Blättermann 2012-08-10 12:20:09 EDT
> This looks pretty good for approval however please correct the following:
> 
> 
> $ rpmlint gksu-polkit-libs-0.0.3-2.fc17.x86_64.rpm 
> gksu-polkit-libs.x86_64: E: postun-without-ldconfig
> /usr/lib64/libgksu-polkit.so.0.0.1
> gksu-polkit-libs.x86_64: E: non-empty-%postun /sbin/ldconfig
> 1 packages and 0 specfiles checked; 2 errors, 0 warnings.
> 
Done. See the new files below. I've removed file_lang for now to avoid these
> 
> $ rpmlint gksu-polkit-libs-devel-0.0.3-2.fc17.x86_64.rpm 
> gksu-polkit-libs-devel.x86_64: W: invalid-url URL:
> http://live.gnome.org/gksu <urlopen error [Errno -2] Name or service not
> known>
> 
I didn't have any problems yet to reach this URL, should be a problem at your side (temporarily bad network connection?).

> Please open or reference a bug addressing the following:
> 
> 
> gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address
> /usr/include/gksu-polkit/gksu-process.h
> gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address
> /usr/include/gksu-polkit/gksu-polkit.h

There's no Bugzilla for it, unless I would be a Debian user and could file a bug directly from the system. Doesn't matter, I've mailed the developer directly (kov@debian.org), while CC'ing Jeremy:

> Hi Gustavo,

> while packaging gksu-polkit for Fedora, I've detected some wrong FSF
> addresses in the source files:


> /common/gksu-environment.c
> /common/gksu-write-queue.c
> /common/gksu-write-queue.h
> /gksu/gksu-polkit.c
> /libgksu/gksu-process.c
> /libgksu/gksu-process.h
> /libgksu/gksu-process-error.h
> /mechanism/gksu-controller.c
> /mechanism/gksu-controller.h
> /mechanism/gksu-error.h
> /mechanism/gksu-server.c
> /mechanism/gksu-server.h
> /mechanism/main.c

> I've found them by using the validation tool "rpmlint" in the v0.0.3
> files. Please consider to change the address to the current one in
> future releases:

> Free Software Foundation
> 51 Franklin Street, Fifth Floor
> Boston, MA 02110-1301
> USA


> Best Regards

> Mario


New files:

Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/gksu-polkit.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/gksu-polkit-0.0.3-3.fc17.src.rpm
Comment 8 Dan Mashal 2012-08-10 12:51:41 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN", "LGPL (v3 or later) (with incorrect FSF
     address)", "GPL (v3 or later) (with incorrect FSF address)", "GPL (v2 or
     later)", "GPL (v2 or later) (with incorrect FSF address)", "GPL (v3 or
     later) (with incorrect FSF address) GENERATED FILE", "*No copyright*
     GENERATED FILE", "LGPL (v3 or later) (with incorrect FSF address)
     GENERATED FILE" For detailed output of licensecheck see file:
     /home/dan/844192-gksu-polkit/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[ ]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: gksu-polkit-debuginfo-0.0.3-3.fc17.x86_64.rpm
          gksu-polkit-libs-0.0.3-3.fc17.x86_64.rpm
          gksu-polkit-0.0.3-3.fc17.x86_64.rpm
          gksu-polkit-libs-devel-0.0.3-3.fc17.x86_64.rpm
          gksu-polkit-0.0.3-3.fc17.src.rpm
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process-error.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-environment.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/gksu/gksu-polkit.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-write-queue.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/main.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/common/gksu-write-queue.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-server.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-server.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-error.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/libgksu/gksu-process.h
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-controller.c
gksu-polkit-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gksu-polkit-0.0.3/mechanism/gksu-controller.h
gksu-polkit.x86_64: W: no-documentation
gksu-polkit.x86_64: W: no-manual-page-for-binary gksu-polkit
gksu-polkit.x86_64: W: no-manual-page-for-binary gksu-server
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-process.h
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-polkit.h
5 packages and 0 specfiles checked; 15 errors, 3 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gksu-polkit-libs-devel gksu-polkit-libs
gksu-polkit-libs-devel.x86_64: I: enchant-dictionary-not-found en_US
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-process.h
gksu-polkit-libs-devel.x86_64: E: incorrect-fsf-address /usr/include/gksu-polkit/gksu-polkit.h
gksu-polkit-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgksu-polkit.so.0.0.1 /lib64/libdbus-1.so.3
gksu-polkit-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgksu-polkit.so.0.0.1 /lib64/librt.so.1
gksu-polkit-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgksu-polkit.so.0.0.1 /lib64/libpangocairo-1.0.so.0
gksu-polkit-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgksu-polkit.so.0.0.1 /lib64/libgdk_pixbuf-2.0.so.0
gksu-polkit-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgksu-polkit.so.0.0.1 /lib64/libpango-1.0.so.0
gksu-polkit-libs.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgksu-polkit.so.0.0.1 /lib64/libcairo.so.2
2 packages and 0 specfiles checked; 2 errors, 6 warnings.
# echo 'rpmlint-done:'

Requires
--------
gksu-polkit-debuginfo-0.0.3-3.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    

gksu-polkit-libs-0.0.3-3.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig  
    config(gksu-polkit-libs) = 0.0.3-3.fc17
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgee.so.2()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libstartup-notification-1.so.0()(64bit)  
    rtld(GNU_HASH)  

gksu-polkit-0.0.3-3.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gksu-polkit-libs(x86-64) = 0.0.3-3.fc17
    libatk-1.0.so.0()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libdbus-1.so.3()(64bit)  
    libdbus-glib-1.so.2()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgee.so.2()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libgksu-polkit.so.0()(64bit)  
    libgksu-polkit.so.0(LIBGKSU_POLKIT)(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpolkit-gobject-1.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    rtld(GNU_HASH)  

gksu-polkit-libs-devel-0.0.3-3.fc17.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  
    gksu-polkit-libs(x86-64) = 0.0.3-3.fc17
    libgksu-polkit.so.0()(64bit)  
    pkgconfig(glib-2.0)  
    pkgconfig(gobject-2.0)  

Provides
--------
gksu-polkit-debuginfo-0.0.3-3.fc17.x86_64.rpm:
    
    gksu-polkit-debuginfo = 0.0.3-3.fc17
    gksu-polkit-debuginfo(x86-64) = 0.0.3-3.fc17

gksu-polkit-libs-0.0.3-3.fc17.x86_64.rpm:
    
    config(gksu-polkit-libs) = 0.0.3-3.fc17
    gksu-polkit-libs = 0.0.3-3.fc17
    gksu-polkit-libs(x86-64) = 0.0.3-3.fc17
    libgksu-polkit.so.0()(64bit)  
    libgksu-polkit.so.0(HIDDEN)(64bit)  
    libgksu-polkit.so.0(LIBGKSU_POLKIT)(64bit)  

gksu-polkit-0.0.3-3.fc17.x86_64.rpm:
    
    gksu-polkit = 0.0.3-3.fc17
    gksu-polkit(x86-64) = 0.0.3-3.fc17

gksu-polkit-libs-devel-0.0.3-3.fc17.x86_64.rpm:
    
    gksu-polkit-libs-devel = 0.0.3-3.fc17
    gksu-polkit-libs-devel(x86-64) = 0.0.3-3.fc17
    pkgconfig(libgksu-polkit-1) = 0.0.3

MD5-sum check
-------------
http://ftp.de.debian.org/debian/pool/main/g/gksu-polkit/gksu-polkit_0.0.3.orig.tar.gz :
  MD5SUM this package     : eeffaa13194cf76a63c52ed3f58d5a7d
  MD5SUM upstream package : eeffaa13194cf76a63c52ed3f58d5a7d

=====

PACKAGE APPROVED
Comment 9 Mario Blättermann 2012-08-10 13:11:11 EDT
Many thanks for your review.

New Package SCM Request
=======================
Package Name: gksu-polkit
Short Description: Command line utility to run programs as root
Owners: mariobl
Branches: f17 f18
Comment 10 Jon Ciesla 2012-08-10 13:27:15 EDT
Git done (by process-git-requests).
Comment 11 Dan Mashal 2012-08-10 13:29:30 EDT
np. Thanks for submitting this. Hope this solves the issue with the other bug, might need to put in a provides for the old name.
Comment 12 Fedora Update System 2012-08-10 14:59:27 EDT
gksu-polkit-0.0.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gksu-polkit-0.0.3-3.fc17
Comment 13 Fedora Update System 2012-08-12 22:22:27 EDT
gksu-polkit-0.0.3-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 14 Dan Mashal 2012-10-07 07:00:29 EDT
Mario,

What is the status of this? Looks like it's stuck in stable?
Comment 15 Dan Mashal 2012-10-07 07:01:32 EDT
testing*
Comment 16 Mario Blättermann 2012-10-07 07:05:29 EDT
There were some issues with the systemd stuff. Now we have a package in F18 stable, including the new systemd macros, and it works for me. They way to get it properly packaged for f17 is somewhat different, but if someone really needs it, I could try to get it working.

Please test that f18 version with MATE, if possible. Perhaps I could need a symlink from gksu to gksu-polkit to bring the old gksu behavior back.
Comment 17 Dan Mashal 2012-10-07 07:07:22 EDT
Mario,

I noticed some mate package with gksu stuff in it. I wouldn't worry too much about it. 

There were some packages renamed in Fedora 18 (i.e. NetworkManager-gtk-devel)

Would you mind if I add myself to the commit for the package(s)? 

Also thanks for all your help on MATE.
Comment 18 Simone Caronni 2014-06-11 06:02:17 EDT
Package Change Request
======================
Package Name: gksu-polkit
New Branches: el6 epel7
Owners: slaanesh
Comment 19 Jon Ciesla 2014-06-11 06:11:27 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.